body {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  margin: 0;
}

.clock {
  position: relative;
  width: 200px;
  height: 200px;
  border: 2px solid #000;
  border-radius: 50%;
}

.hour-hand,
.minute-hand,
.second-hand {
  position: absolute;
  background-color: #000;
  transform-origin: 50% 100%;
  transform: rotate(90deg);
}

.hour-hand {
  height: 40px;
  width: 4px;
}

.minute-hand {
  height: 70px;
  width: 2px;
}

.second-hand {
  height: 80px;
  width: 1px;
  background-color: red;
}